﻿/*body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10pt;
}*/
.read-only-text{
    background: transparent;
    border: none;
}
.transactions-form .form-group{
    margin-bottom:5px;
}
.page-content-wrapper .page-content{
    padding-top:0px;
}
.page-footer-inner{
    width:100%;
    text-align:center;
}

a {
	/*text-decoration: none;
	color: Black;*/
}
.export-top{
    position:relative;
    top: -8px;
}

.table-condensed td, .table-condensed th {
    font-size: 12px;
}
.text-right{
    text-align:right;
}
.text-center{
    text-align:center;
}
a[disabled] {
	color: Gray !important; 
	text-decoration:none !important; 
}

input[disabled="disabled"] {
	font-style: italic;
	border: 1px solid #999;
}

select[disabled="disabled"] {
	font-style: italic;
	border: 1px solid #999;
}

textarea[disabled="disabled"] {
	font-style: italic;
	border: 1px solid #999;
}

hr {
	color: #5377a9;	 
	border: 0 0 0;
}

fieldset {
    border: 2px solid #144e92;
}

fieldset legend {
    font-weight: bold;
}

.topMenu {
	background-image: url(images/divider-2.gif);
	background-repeat: repeat-x;
	height: 30px;
	font-size: x-small;
	padding: 10px 5px 1px 5px;
	clear: both;
}

.dropTable {
	/*background-color:#fbf4db;*/
	background-color: #ffffff /*filter:progid:DXImageTransform.Microsoft.DropShadow(color=#AAAAAA,offX=3,offY=3);*/;
}

.wrap1, .wrap2, .wrap3 {
	display: inline-table; /* \*/
	display: block; /**/
	clear: right;
	clear: left;
}

.wrap1 {
	float: left;
	background: url(../images/shadow.gif) right bottom no-repeat;
}

.wrap2 {
	background: url(../images/corner_bl.gif) left bottom no-repeat;
}

.wrap3 {
	padding: 0 10px 10px 0;
	background: url(../images/corner_tr.gif) right top no-repeat;
}

.dropTable .searchLabelCol {
	padding-left: 3px;
}

.masterBarFill {
    background-image: url(../images/top2_bg.gif);
}

.masterTopFill {
    width: 100%; 
    height: 17px; 
    background-image: url(../images/top3_bg.gif)
}

.altRowStyle {
	border: 0;
	background-color: #efefef;
}

.rowStyle {
	border: 0;
	background-color: #ffffff;
}

.summaryTable {
	background-color: white;
	border: solid 1pt black;
}

.summaryTitle {
	/*background-color:#DBDEFB;*/
	font-size: 12pt;
}

.summarydatagrid td {
	font-size: 8pt;
	border-left: solid 1pt white;
}

.summarydatagrid th {
	border-left: solid 1pt white;
}

.gridHeader {
	background-color: #cccccc;
}

.gridHeader th a {
	text-decoration: underline;
}

.totalrow {
	border-top: solid 1pt red;
	font-weight: bold;
}

.menuitem {
	font-family: Arial;
	font-size: 9pt;
	color: blue;
	font-style: normal;
}

.menuitem:hover {
	font-family: Arial;
	font-size: 9pt;
	cursor: pointer;
	color: blue;
	text-decoration: underline;
}

td.menuitem {
	border-right: solid 5px white;
}

.hyperlink_button {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 1px;
	padding-bottom: 1px;
	cursor: pointer;
}

.usesPointer {
	cursor: pointer;
}

.clientList {
	font-size: 10pt;
	background-color: White;
	color: Black;
}

.clientListSel {
	font-size: 10pt;
	background-color: Highlight;
	color: HighlightText;
}

.clientListWatermark {
	color: #cccccc;
	font-style: italic;
}

/* search panel common styles */
.body .content .searchPanel {
	width: 100%;
	background-color: #EBF4FA;
	padding-top: 8px;
	padding-bottom: 8px;
	border-bottom: solid 3px black;
	display: block;
}

.body .content .searchPanel .searchRow {
	height: 24px;
}

.body .content .searchPanel .searchRow .col1 {
	padding-left: 8px;
}

.body .content .searchPanel .commands {
	height: 24px;
	vertical-align: middle;
	text-align: right;
	padding: 0px 8px 0px 8px;
}

.body .content .searchPanel .commands INPUT {
	width: 100px;
}

/* grid styles */
.data_grid {
	font-family: tahoma;
	font-size: 12px;
	border: solid 1px #7f7f7f;
    border-collapse:collapse;	
    color: #333333;
    width:100%;
    clear: both;
}

/* header column rules */
.data_grid th {
    background: url(../App_Themes/ACHeck21/Images/newUI/sprite.png) repeat-x 0px 0px;
    border-color: #989898 #cbcbcb #989898 #989898;
    border-style: solid solid solid none;
    border-width: 1px 1px 1px medium;
    color: #000;
    vertical-align: bottom;
}  

.data_grid th a {
	color:#333333;
    font-weight: bold;
	text-decoration: none;
	display: block;
}

/* data cell and data row rules */
.data_grid td {
	color:#333333;
	height: 18px;
	line-height: 18px;
	padding-left: 5px;
	padding-right: 5px;
    /*border-bottom: solid 1px #BBD9EE;*/
}

.data_grid .altrow {
    background-color: #EBF4FA;
} 

.data_grid .row {
    background-color: #fff;
}  

.data_grid .rowHD {
    background-color: #FF9D9D;
}

.data_grid .rowPD {
    background-color: #FFFFC6;
}

.data_grid .rowSP {
    background-color: #EAF2FF;
}

.data_grid .rowError {
    background-color: #fff;
    color: #ADADAD;
}  

.data_grid .rownum {
    text-align:center;
    font-weight:bold;
    color:#333333;
}

.data_grid .header {

}

.data_grid .footer {

}

.data_grid .pager {
	background-color: #f0f0ff;
	border-top: solid 2px #7f7f7f;
	border-bottom: solid 2px #7f7f7f;
}

/* printable grid views */
.printGrid {
	font-family: tahoma;
	font-size: 10pt;
    border-collapse: collapse;	
    color: #000000;
    width: 100%;
    clear: both;
}

.printGrid .header th {
    border-bottom: solid 3px black;
}

/* modal popup rules */
.button_fake { display: none; }

.modalBackground {
    position: absolute;
    background-color: #333333;
    display: block;
    left: 0pt;
    top: 0pt;
    width: 100%;
    z-index: 1001;
    filter: alpha(opacity=30);
    opacity: 0.3;
}

.modalPopup {
    color:#222222;
}
.modalPopup .form-group{
    margin-bottom: 5px;
}
.modalPopup .portlet.light>.portlet-title>.caption{
    padding: 0px;
}
.modalBackground .portlet.light>.portlet-title{
    min-height: 0px;
}
.modalPopup .header {
    /*position: relative;*/
    /*color: #fff;        
    cursor: move;*/ /* So the user knows they can drag the panel */
}

.modalPopup .header .content h2 {
    /*float: left;*/
    font-size:initial;
    padding:5px 0px;
    margin:0px;
    background-color: #fff;
}

.modalPopup .body .content {
    background-color:#fff;
}

.modalPopup .body .content .editor {
	width: 100%;
}

.modalPopup .body .content .editor .label {
    padding-left: 6px;
}

.modalPopup .body .content .footer {
    clear: both;
}           

.modalPopup .body .content .footer .commands {
    padding: 12px 8px 0px 8px;
    height: 55px;
}           

                   

/* Client Builder Wizard */
.clientBuilder {
	width: 800px;
	height: 400px;
	vertical-align: top;
	font-family: Sans-Serif, Verdana;
	color: #003366;
}

.clientBuilder .header {
	background-color: #efefef;
	text-align: right;
	font-style: italic;
	font-size: 8pt;
	font-weight: bold;
	border-style: outset;
	border-width: 1px;
}

.clientBuilder .sideBar {
	width: 175px;
	white-space: nowrap;
	vertical-align: top;
	padding-top: 5px;
}

.clientBuilder .sideBar .button {
	color: #003366;
	text-align: left;
	width: 150px;
	padding-left: 10px;
	background-color: #efefef;
	border: solid 1px Gray;
	margin-top: 7px;
	font-size: 8pt;
}

.clientBuilder .navigation {
	border-style: dashed;
	border-width: 1px;
	border-color: Black;
	padding: 10px 10px 10px 10px;
}

.clientBuilder .step {
	vertical-align: top;
}

.clientBuilder .step .title {
	font-size: 10pt;
	font-weight: bold;	
}

.clientBuilder .step hr {
	height: 1px;
	width: 100%;
	float: left;
	clear: both;
	margin-bottom: 20px;
	background-color: #003366;
	border: none;
}

.clientBuilder .step p {
	padding-top: 0px;
	padding-bottom: 0px;
	margin-top: 0px;
	margin-bottom: 25px;
	color: #555555;
	float: left; 
	clear: both;
	width: 600px;
}

.clientBuilder .step .textBoxMulti {
	width: 200px;
	height: 100px;
	clear: left;
	float: left;
}

.clientBuilder .step .column1_3 {
	float: left;
	display: inline;
	text-align: right;
	margin-left: 50px;
}

.clientBuilder .step .column2_3 {
	width: 50px;
	float: left;
	display: inline;
	text-align: center;
}

.clientBuilder .step .column2_3 .button {
	color: #003366;
	text-align: center;
	width: 25px;
	background-color: #efefef;
	border: solid 1px Gray;
	font-size: 8pt;
	margin-bottom: 5px;
}

.clientBuilder .step .column3_3 {
	float: left;
	display: inline;
	text-align: right;	
}

.clientBuilder .step .column1_2 {
	width: 300px;
	float: left;
	display: inline;
}

.clientBuilder .step .column1_2 .label {
	float: left;
	width: 300px;
	text-align: right;
	margin-top: 5px;
	margin-right: 15px;
}

.clientBuilder .step .column1_2 .label .textBox {
	width: 150px;
	margin-left: 15px;
	margin-right: 15px;
}

.clientBuilder .step .column2_2 {
	width: 300px;
	float: left;
	display: inline;
}

.clientBuilder .step .column2_2 .button {
	width: 50px;	
}

.clientBuilder .step .column2_2 .label {
	float: left;
	width: 300px;
	text-align: right;
	margin-top: 5px;
	margin-right: 15px;
}

.clientBuilder .step .column2_2 .label .textBox {
	width: 150px;
	margin-left: 15px;
	margin-right: 15px;
}

.clientBuilder .step .column1_1 {
	width: 600px;
	float: left;
	display: block;
	clear: both;	
}

.clientBuilder .step .column1_1 .label {
	float: left;
	clear: left;
	width: 500px;
	text-align: right;
	margin-top: 5px;
	margin-right: 15px;
}

.clientBuilder .step .column1_1 .label .textBox {
	width: 250px;
	margin-left: 15px;
	margin-right: 15px;
}

.clientBuilder .step .required {
	padding: 0 0 0 0;
	margin: 3px;
	float: left; clear: both;
	width: 600px;
}

.clientBuilder .step .cb {
	float: left;
	clear: left;
	width: 100%;
}

.clientBuilder .step .cbDescr {
	margin-top: 5px;
	margin-bottom: 20px;
	float: left;
	clear: left;
	font-size: 8pt;
	width: 100%;
}

.loginBox {
	width: 385px;
	margin: 0 30%;
}


.login .label {
	font-weight: bold;
	padding-left: 10px;
    white-space: nowrap;
}

.login .edit {
	margin-left: 10px;
	width: 250px;
}

.login .instruction {
	font-style: italic;
	color: Black;
}

.login .validator {
}

.login .cssbutton {
	float: right;
	margin-top: 20px;
	padding: 1px 10px 2px 10px;
	width: 100px;
	background-color: #efefef;
	border-style: solid;
	border-color: #5377a9;
	font-size: 8.5pt;
	cursor: pointer;
}

.CustomDate .ajax__calendar_container {
    border: 1px solid #646464;
    background-color: #FFFACD;
    color: red;
}

.CustomDate .ajax__calendar_other .ajax__calendar_day,
.CustomDate .ajax__calendar_other .ajax__calendar_year {
    color: black;
}

.CustomDate .ajax__calendar_hover .ajax__calendar_day,
.CustomDate .ajax__calendar_hover .ajax__calendar_month,
.CustomDate .ajax__calendar_hover .ajax__calendar_year {
    color: black;
}

.CustomDate .ajax__calendar_active .ajax__calendar_day,
.CustomDate .ajax__calendar_active .ajax__calendar_month,
.CustomDate .ajax__calendar_active .ajax__calendar_year {
    color: black;
    font-weight: bold;
}

/* details popup window */
.details_popup {
	background-color: #ffffff;
	border-width: 2px;
	border-style: solid;
	border-color: #4E4B4B;
}

.details_popup .header {
	background-color: #175296;
	height: 28px;
	cursor: pointer;
	border-bottom: solid 1px Black;
}

.details_popup .header .title {
	font-family: Verdana;
	font-weight: bold;	
	color: White;
	text-align: right;
	float: left;
	margin-top: 5px;
}

.details_popup .header .close {
	text-align: right;
	float: left;
}

.details_popup .header .close input {
	font-weight: bold;
	font-family: Verdana;	
	width: 40px;
	border-width: 1px;
	margin-top: 5px;
	margin-right: 3px;
}

.details_popup .header .close input:hover {

}

.details_popup .body {
    padding: 10px 10px 10px 10px;
}

.modal_background {
    position: absolute;
    background-color: #333333;
    display: block;
    left: 0pt;
    top: 0pt;
    width: 100%;
    z-index: 1001;
    filter: alpha(opacity=60);
    opacity: 0.6;
}

/* .NET 4.0+ compatibility styles */
.aspNetDisabled {
	color: Gray !important; 
	text-decoration:none !important; 
}
@media print{
    a[href]:after {
        content: "";
    }
}

/* bootstrap tooltip */
.tooltip.in{opacity: 1;}
.tooltip-inner {
	background-color: #fff;
	border: 1px solid #6789ab;
	color: #6789ab;
	font-family: "Open Sans",sans-serif;
	font-size: 13px;
	padding: 5px;
}
.tooltip.bottom .tooltip-arrow {
	border-bottom-color: #6789ab;
}
.tooltip.top .tooltip-arrow {
	border-top-color: #6789ab;
}

/* checkbox: keep label from wrapping to next line, uppercase label text */
span.checkbox-align {
	display: table;
}
span.checkbox-align > input{
	display: table-cell;
}
span.checkbox-align > label {
	display: table-cell;
	vertical-align: top;
	text-transform: uppercase;
}

.field-validation-error{ 
	color: red;
	font-size: small;
}

.form-control-checkbox {
	border: none;
	padding-left: 0;
}

.text-bold-red {
	color: red;
	font-weight: bold;
}

.user-message-text-alert {
	color: red;
}

.user-message-text-success {
	color: green;
}

.text-bold-green {
	color: green;
	font-weight: bold;
}

.popupColumn {
	padding-top: 5px;
}

/* HorizontalScrollPanel styles */
.scrollWrapper, .scrollContainer {
	width: 100%;
	overflow-x: auto;
	overflow-y: hidden;
}
.scrollWrapper {
	height: 20px;
}
.scrollWrapperDiv {
	height: 18px;
	overflow: unset;
}
.scrollContainerDiv {
	overflow: unset;
}

/* ListView pager */
.pagerButton {
	font-size: 16px;
}
.pagerCurrentPage {
	font-size: 16px;
	font-weight: bold;
}

.borderless {
	border: none;
	outline: 0 !important;
}

.no-border {
	border: 0;
	box-shadow: none;
}

.rounded-border {
	border-style: solid;
	border-width: 1px;
	border-radius: 4px;
	border-color: #c2cad8;
}